Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| OSGi Service Platform Release 3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.osgi.service.device
Interface DriverLocator

public interface DriverLocator

A Driver Locator service can find and load device driver bundles given a property set. Each driver is represented by a unique `DRIVER_ID`.

Driver Locator services provide the mechanism for dynamically downloading new device driver bundles into an OSGi environment. They are supplied by providers and encapsulate all provider-specific details related to the location and acquisition of driver bundles.

See Also:
  `Driver`

Method Summary
`java.lang.String[]` | `findDrivers(java.util.Dictionary props)` Returns an array of `DRIVER_ID` strings of drivers capable of attaching to a device with the given properties.
`java.io.InputStream` | `loadDriver(java.lang.String id)` Get an `InputStream` from which the driver bundle providing a driver with the giving `DRIVER_ID` can be installed.

Method Detail

### findDrivers

    public java.lang.String[] findDrivers(java.util.Dictionary props)

  Returns an array of `DRIVER_ID` strings of drivers capable of attaching to a device with the given properties.

  The property keys in the specified `Dictionary` objects are case-insensitive.

  Parameters:
    `props` - the properties of the device for which a driver is sought
  Returns:
    array of driver `DRIVER_ID` strings of drivers capable of attaching to a Device service with the given properties, or `null` if this Driver Locator service does not know of any such drivers

### loadDriver

    public java.io.InputStream loadDriver(java.lang.String id)
                                   throws java.io.IOException

  Get an `InputStream` from which the driver bundle providing a driver with the giving `DRIVER_ID` can be installed.
  Parameters:
    `id` - the `DRIVER_ID` of the driver that needs to be installed.
  Returns:
    a `InputStream` object from which the driver bundle can be installed
  Throws:
    `java.io.IOException` - the input stream for the bundle cannot be created

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| OSGi Service Platform Release 3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) OSGi Alliance (2000, 2003). All Rights Reserved.